﻿body {
    font-family: Verdana, Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    color:#000;
    background-color:#fff;
}

body.greyBackground 
{
        background-color: #808080;
}

a:hover {
    text-decoration: none;
}

a:active {
    color: #12eb87;
}

h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #000;
}

h1 {
    font-size: 2em;
    padding-bottom: 0;
    margin-bottom: 0;
}

h2 {
    padding: 0 0 10px 0;
}

h3 {
    font-size: 1.5em;
    padding-bottom: 0;
    margin-bottom: 0;
    margin-top: 16px;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

.editor-field
{
    margin:12px 0px 12px 0;
    height:25px;
}

.editor-field > input 
{
    float:right;
    width:275px;
    height:20px;
    vertical-align:middle;
}

.editor-field > input[type="text"], .editor-field > input[type="password"]
{
    border-radius: 4px; -moz-border-radius: 2px;
}


.editor-field > label
{
    vertical-align: middle;
    margin-right: 10px;
}

.field-validation-error,
.validation-summary-errors
{
    color: #ff0000;
    float: right;
}

.validation-summary-errors > ul
{
    margin: 0;
}

/* Login Page START */

div.login_dlg 
{
    background-image:url(/SystemDataService/Content/Images/LoginScreen_Background.jpg);
    position:absolute;
    top:0;
    bottom:0;
    left:0;
    right:0;
    height: 510px;
    width: 710px;
    margin: auto;
    padding: 10px;
    border: solid 6px #ddd;
    background-color: #fff;
    border-radius: 12px; -moz-border-radius: 12px;
    }

div.loginBox 
{
    margin:10px;
}

div.login_dlg h1 
{
    font-size:26px;
}

div.login_dlg div.loginBox 
{
    text-align:right;
    padding: 50px 10px;
}

div.login_dlg div.editor-field 
{
    font-size:15px;
}

div.login_dlg input[type="submit"]
{
    padding:8px 40px;
    border-radius: 4px;
    border: solid 1px #aaa;
}

div.login_dlg div.logOnValidationSummary 
{
    margin-top: 65px;
    font-size: 15px;
    border: solid 1px #000;
    background-color: #fff;
    border-radius: 5px;
    display: inline-block;
    width: 100%;
    padding: 3px;
}

div.login_dlg div.validation-summary-errors {
    padding: 3px;
}

div.validation-summary-errors
{
    width:100%;
}

div.login_dlg div.logOnValidationSummary ul
{
    list-style-type:none;
    text-align:center;
    width:100%;
    padding:0;
}

div.login_dlg div.copyrightText
{
    font-size:11px;
    color:#555;
}
/* Login Page END */


/* Generate Token Page START */

.generateThirdPartyTokenBox
{
    height:auto;
    width:auto;
    margin-top:10px;
    padding: 10px;
    border: 1px solid black;
    background-color:#fff;
}

.generateThirdPartyTokenBox label
{
    width:20%;
    font-size:small;
}

.generateThirdPartyTokenBox input[type="text"],
.generateThirdPartyTokenBox input[type="password"],
.generateThirdPartyTokenBox select
{
    width:80%;
    float:right;
    font-size:small;
}

.generateThirdPartyTokenBox .DestinationWebAddressClickable
{
    border-width: 0;
    background-color: transparent;
    text-decoration: underline;
    cursor:pointer;
    color:Blue;
}

.generateThirdPartyTokenBox textarea
{
    float:right;
    width:80%;
    height:8em;
    font-size:small;
}

#thirdPartyTokenDiv
{
    height:8em;
}

#generateThirdPartyTokenLogoff
{
    float:right;
    margin-right:10px;
}

.lockScreen
{
    display:none;
    position:fixed;
    top:0;
    bottom:0;
    left:0;
    right:0;
    background-color:rgba(0,0,0,0.3);
    z-index:10;
    cursor:wait;
}

.popupLink 
{
    color: #00f;
    text-decoration: underline;
    font-size: 70%;
    margin-left: 1em;
    cursor: pointer;
}

div.darkenBackground {
    background-color: #000000;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 20;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    position: fixed;
    display: none;
}

div.popupInfoDiv {
    color: #000;
    background-color: #fff;
    border: solid 1px #000;
    position: fixed;
    display: none;
    z-index: 30;
    top: 0;
    left: 0;
    width: 80%;
    max-height: 80%;
    overflow: auto;
    margin: 8% 5%;
    padding: 2% 5%;
}

div.popupInfoDiv div.closeButton {
    text-align: center;
    padding: 20px 10px 10px 10px;
}

/* Generate Token Page END */